<!--	inner-banner starts-->
<section class="inner-banner">
  <div class="container">
    <h2>Checkout</h2>
  </div>
</section>
<!--	inner-banner ends-->
<section class="checkout-table-sec">
  <div class="container">
    <div class="checkout-table">
      <table class="table">
        <thead>
          <tr>
            <th scope="col">YOUR ITEMS</th>
            <th scope="col"></th>
            <th scope="col">REMOVE</th>
            <th scope="col">QUANTITY</th>
            <th scope="col">AMOUNT</th>
          </tr>
        </thead>
        <tbody>
          <ng-container *ngIf="cartItems?.length > 0; else noItemInCart">
            <tr *ngFor="let cart of cartItems; let i = index">
              <td class="table-img">
                <figure>
                  <img
                    [src]="cart?.giveaway_image"
                    height="100%"
                    width="100%"
                  />
                </figure>
              </td>
              <td>
                <p>
                  {{ cart.giveaway_title }}<br /><a herf="javascript:void(0);"
                    >{{ cart.total_entries }} entries supporting XYZ Charity</a
                  >
                </p>
              </td>
              <td>
                <button
                  mat-icon-button
                  aria-label="Example icon button with a delete icon"
                  (click)="onRemoveFromCart(i, cart?.id)"
                >
                  X
                </button>
              </td>
              <td>
                <button
                  mat-icon-button
                  (click)="onDecreaseQuantity(i, cart?.id)"
                >
                  <mat-icon>remove</mat-icon>
                </button>
                <span
                  ><input
                    class="quantity-input"
                    min="0"
                    appOnlyNumber
                    (keyup)="onChangeQuantity(i, cart?.id, $event.target.value)"
                    name="quantity"
                    [ngModel]="cart.quantity"
                /></span>
                <button
                  mat-icon-button
                  (click)="onIncreaseQuantity(i, cart?.id)"
                >
                  <mat-icon>add</mat-icon>
                </button>
              </td>
              <td>${{ cart.entry_amount }}</td>
            </tr>
            <tr class="font-weight-bolder">
              <td></td>
              <td></td>
              <td colspan="2">Total</td>
              <td>
                <span class="font-weight-normal">USD</span> ${{
                  totalAmount | number
                }}
              </td>
            </tr>
          </ng-container>
          <ng-template #noItemInCart>
            <tr>
              <td colspan="5" class="text-center font-weight-bold">
                No item in cart
              </td>
            </tr>
          </ng-template>
        </tbody>
      </table>
      <div class="ct-btn-blue">
        <button
          type="button"
          [disabled]="cartItems?.length === 0"
          class="btn cat-blue-btn"
          (click)="onRedirectCheckout()"
        >
          Continue Checkout
        </button>
      </div>
    </div>
  </div>
</section>
<!--	footer starts-->
